## minimap2 2.14+dfsg

=== debian/changelog ===
minimap2 (2.14+dfsg-1) unstable; urgency=low

  * Initial packaging (Closes: #906332)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Nov 2018 23:36:05 +0100
