=== debian/control ===
Source: minimap2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               d-shlibs,
               zlib1g-dev,
               texlive-latex-extra,
               texlive-science,
               texlive-font-utils,
               ghostscript,
               gnuplot
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/minimap2
Vcs-Git: https://salsa.debian.org/med-team/minimap2.git
Homepage: https://github.com/lh3/minimap2

Package: minimap2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zlib1g
Description: versatile pairwise aligner for genomic and spliced nucleotide sequences
 Minimap2 is a versatile sequence alignment program that aligns DNA or
 mRNA sequences against a large reference database. Typical use cases
 include: (1) mapping PacBio or Oxford Nanopore genomic reads to the
 human genome; (2) finding overlaps between long reads with error rate up
 to ~15%; (3) splice-aware alignment of PacBio Iso-Seq or Nanopore cDNA
 or Direct RNA reads against a reference genome; (4) aligning Illumina
 single- or paired-end reads; (5) assembly-to-assembly alignment; (6) full-
 genome alignment between two closely related species with divergence
 below ~15%.
 .
 For ~10kb noisy reads sequences, minimap2 is tens of times faster than
 mainstream long-read mappers such as BLASR, BWA-MEM, NGMLR and GMAP. It
 is more accurate on simulated long reads and produces biologically
 meaningful alignment ready for downstream analyses. For >100bp Illumina
 short reads, minimap2 is three times as fast as BWA-MEM and Bowtie2, and
 as accurate on simulated data. Detailed evaluations are available from
 the minimap2 paper or the preprint.
