## minimap2 2.15+dfsg

=== debian/changelog ===
minimap2 (2.15+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on armhf and arm64: pass relevant variable to make.
    Closes: #929275

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 20 May 2019 17:26:01 +0200

minimap2 (2.15+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 22:40:39 +0100
