=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	cd tex && make clean

ifneq (,$(filter $(DEB_HOST_ARCH_CPU)-$(DEB_HOST_ARCH_ABI),arm-eabihf arm64-base))
build_vars += arm_neon=1
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
build_vars += aarch64=1
endif
endif

override_dh_auto_build:
	dh_auto_build -- $(build_vars)
	cd tex && make

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/test_script
	rm test.sam
endif

override_dh_compress:
	dh_compress --exclude=.pdf
