## minimap2 2.17+dfsg

=== debian/changelog ===
minimap2 (2.17+dfsg-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Add support for more architectures using the SIMD Everyhere library
    Closes: #922620
  * Standards-Version: 4.4.1

  [ Andreas Tille ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 12 Jan 2020 18:22:11 +0100

minimap2 (2.17+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 15:23:40 +0200
