=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                d-shlibs,
                zlib1g-dev,
                texlive-latex-extra,
@@ -11,7 +11,7 @@
                texlive-font-utils,
                ghostscript,
                gnuplot
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/minimap2
 Vcs-Git: https://salsa.debian.org/med-team/minimap2.git
 Homepage: https://github.com/lh3/minimap2
