=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/architecture.mk
+export DEB_CFLAGS_MAINT_APPEND += -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP
 
 %:
 	dh $@
@@ -10,11 +11,12 @@
 	dh_auto_clean
 	cd tex && make clean
 
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU)-$(DEB_HOST_ARCH_ABI),arm-eabihf arm64-base))
-build_vars += arm_neon=1
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
+build_vars += amd64=1
+else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
+build_vars += i386=1
+else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
 build_vars += aarch64=1
-endif
 endif
 
 override_dh_auto_build:
