=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/lh3/minimap2/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
