## minimap2 2.22+dfsg

=== debian/changelog ===
minimap2 (2.22+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Use sensible file name for uscan downloads

  [ Michael R. Crusoe ]
  * Refresh patches, dropping simde
  * Add setuptools as a build-dep

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Oct 2021 12:59:39 +0200

minimap2 (2.17+dfsg-12) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * d/patches/python-sse4-arch.patch: Only pass -msse4.1 to the compiler on
    amd64.
    Closes: #969596

 -- Andreas Tille <tille@debian.org>  Tue, 15 Sep 2020 10:54:02 +0200

minimap2 (2.17+dfsg-11) unstable; urgency=medium

  * Add lintian-override
  * Manpage for minimap2.py

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jul 2020 11:32:26 +0200

minimap2 (2.17+dfsg-10) unstable; urgency=medium

  * Provide Python3 interface
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jun 2020 21:40:16 +0200

minimap2 (2.17+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Use the libsimde-dev package instead of the code copy

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 14:49:51 +0200

minimap2 (2.17+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Delete addLTO.patch
    Closes: #956136

 -- Hamid Nassiby <h.nassiby@gmail.com>  Mon, 13 Apr 2020 08:18:05 +0200

minimap2 (2.17+dfsg-7) unstable; urgency=medium

  * Merge changelog entries of several never released package versions
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Add missing DEP3 fields

 -- Andreas Tille <tille@debian.org>  Wed, 25 Mar 2020 15:17:28 +0100

minimap2 (2.17+dfsg-6) unstable; urgency=medium

  * Team upload
  * Created -dev package
  * Standards-Version: 4.5.0
  * Added Link-Time-Optimization
  * Added include files
  * d/control: Added Rules-Requires-Root flag
  * Manually invoking ranlib
  * In reaction to the FTPmaster's rejection notice
    - added copyright referenced in .tex
    - added current copyright holder (Dana Farber Institute)

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Mar 2020 00:52:34 +0100
