=== debian/changelog ===
minimap2 (2.24+dfsg-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Update lintian override info format in d/python3-mappy.lintian-overrides on
    line 2.

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 20:52:21 +0100

minimap2 (2.24+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Re-enable and adapt older simde patch to
    import properly on !x86 and !arm64 (Closes: #1004455)
  * d/t/control: Add superficial import test for mappy

 -- Nilesh Patra <nilesh@debian.org>  Sat, 12 Mar 2022 14:43:04 +0530

minimap2 (2.24+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 15:33:57 +0100

minimap2 (2.22+dfsg-3) unstable; urgency=medium

  * Team upload
  * Add SIMDe bits to python-sse4-arch.patch ; adjust SIMDe patch.
    Closes: #998015

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 19:23:30 +0100

minimap2 (2.22+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix non-x86 build.
  * mark do_not_use_natbib.bst.patch as not needing forwarding
  * Revive SIMDe patch
  * debian/copyright: exclude sse2neon in favor of libsimde-dev

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 17:06:42 +0100
