=== debian/control ===
--- 
+++ 
@@ -3,18 +3,24 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               python3-setuptools,
+               dh-python,
+               cython3,
+               python3-all-dev,
                d-shlibs,
                zlib1g-dev,
                texlive-latex-extra,
                texlive-science,
                texlive-font-utils,
                ghostscript,
-               gnuplot
-Standards-Version: 4.4.1
+               gnuplot,
+               libsimde-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/minimap2
 Vcs-Git: https://salsa.debian.org/med-team/minimap2.git
 Homepage: https://github.com/lh3/minimap2
+Rules-Requires-Root: no
 
 Package: minimap2
 Architecture: any
@@ -39,3 +45,42 @@
  short reads, minimap2 is three times as fast as BWA-MEM and Bowtie2, and
  as accurate on simulated data. Detailed evaluations are available from
  the minimap2 paper or the preprint.
+
+Package: libminimap2-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         zlib1g-dev
+Description: development headers for libminimap
+ Minimap2 is a versatile sequence alignment program that aligns DNA or
+ mRNA sequences against a large reference database. Typical use cases
+ include: (1) mapping PacBio or Oxford Nanopore genomic reads to the
+ human genome; (2) finding overlaps between long reads with error rate up
+ to ~15%; (3) splice-aware alignment of PacBio Iso-Seq or Nanopore cDNA
+ or Direct RNA reads against a reference genome; (4) aligning Illumina
+ single- or paired-end reads; (5) assembly-to-assembly alignment; (6) full-
+ genome alignment between two closely related species with divergence
+ below ~15%.
+ .
+ This package contains the C library headers for using minimap in custom tools,
+ along with a static library.
+
+Package: python3-mappy
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends},
+         ${python3:Depends},
+         ${misc:Depends}
+Description: Python3 interface minimap2
+ Minimap2 is a versatile sequence alignment program that aligns DNA or
+ mRNA sequences against a large reference database. Typical use cases
+ include: (1) mapping PacBio or Oxford Nanopore genomic reads to the
+ human genome; (2) finding overlaps between long reads with error rate up
+ to ~15%; (3) splice-aware alignment of PacBio Iso-Seq or Nanopore cDNA
+ or Direct RNA reads against a reference genome; (4) aligning Illumina
+ single- or paired-end reads; (5) assembly-to-assembly alignment; (6) full-
+ genome alignment between two closely related species with divergence
+ below ~15%.
+ .
+ This package contains the Python3 interface for using minimap2.
