=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-# from minimap 1
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 include /usr/share/dpkg/architecture.mk
-export DEB_CFLAGS_MAINT_APPEND += -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -DUSE_SIMDE -DSIMDE_ENABLE_NATIVE_ALIASES
 
 RANLIB ?= ranlib
 
@@ -18,13 +15,13 @@
 	rm -f tex/minimap2.aux tex/minimap2.bbl tex/minimap2.blg tex/minimap2.log tex/minimap2.out tex/minimap2.pdf
 	rm -f libminimap2.a
 
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
-build_vars += amd64=1
-else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
-build_vars += i386=1
-else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
-build_vars += aarch64=1
+ifeq (,$(filter $(DEB_HOST_ARCH_CPU),amd64 i386))
+build_vars = -f Makefile.simde
+export DEB_CFLAGS_MAINT_APPEND += -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP
 endif
+# ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
+# build_vars += aarch64=1
+# endif
 
 override_dh_auto_build:
 	dh_auto_build -- $(build_vars)
