=== debian/changelog ===
minimap2 (2.26+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:07:06 +0000

minimap2 (2.26+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/control: specify gnuplot-nox build-dep option first for consistency.
  * d/patches: forward some patches, update metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 29 Feb 2024 15:44:29 +0100
