=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: minimap2
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                python3-setuptools,
-               dh-python,
+               dh-sequence-python3,
                cython3,
                python3-all-dev,
                d-shlibs,
@@ -14,9 +15,9 @@
                texlive-science,
                texlive-font-utils,
                ghostscript,
-               gnuplot,
+               gnuplot-nox | gnuplot,
                libsimde-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/minimap2
 Vcs-Git: https://salsa.debian.org/med-team/minimap2.git
 Homepage: https://github.com/lh3/minimap2
