=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 RANLIB ?= ranlib
 
 %:
-	dh $@ --with python3
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
