## minimap2 2.27%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lh3/minimap2/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
