=== debian/changelog ===
minimap2 (2.27+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:36:44 +0000

minimap2 (2.27+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:30:16 +0100

minimap2 (2.27+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/rules, d/clean: simply cleanup code.
  * d/rules: clean using pybuild. Closes: #1046060

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 18 Mar 2024 17:12:17 +0100
