=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import mappy; print(mappy)" ; done
Depends: @, python3-all
Restrictions: allow-stderr, superficial
